Summary: Asianux Locale Configurator:
Name: asianux-locale
Version: 0.1
Release: 5AX
URL: http://www.miraclelinux.com
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11, pygtk2-libglade, python2
Requires: sed, gawk

%description
Asianux Locale Configurator (asianux-locale) is a GUI based tool which
provides an easy way for a user to configure his or her locale of
preference.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/{pixmaps,asianux-locale}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/khwtree/GroupSys
install -m644 asianux-locale.xpm $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps
install -m644 asianux-locale.desktop $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/khwtree/GroupSys

%clean
rm -fr $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-tui.sh
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.xpm
%{_sysconfdir}/sysconfig/khwtree/GroupSys/%{name}.desktop

%changelog
* Wed May 25 2005 Park Jong O <jopark@haansoft.com> 0.1-5AX
- add ko.po, zh_CN.po and zh_TW.po
- add Korean and Chinese name in asianux-locale.desktop

* Fri May 20 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-4AX
- resize window
- fix a typo in main window

* Wed May 11 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-3AX
- fix it to make it work with zh_CN and zh_TW

* Mon May  9 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-2AX
- unset SYSFONTACM if locale is UTF-8

* Fri Jan 18 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-1AX
- initial packaging

